<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.sdb"
   name="%PLUGIN_NAME"
   version="3.0.0"
   provider-name="%PROVIDER_NAME"
   class="org.eclipse.hyades.sdb.internal.SDbPlugin">

   <runtime>
      <library name="sdb_ui.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.sdb"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>

      <import plugin="org.eclipse.hyades.ui"/>
      <import plugin="org.eclipse.hyades.models.sdb"/>
      <import plugin="org.eclipse.hyades.analysis.engine"/>
   </requires>


<!-- ==================================================================== -->
   <extension
         point="org.eclipse.ui.importWizards">
      <wizard
            name="%STR_IMPORT_SYMPTOMDB_TITLE"
            icon="./icons/full/ctool16/import_symptomdb_wiz.gif"
            class="org.eclipse.hyades.sdb.internal.wizard.ImportSymptomDBWizard"
            id="org.eclipse.hyades.sdb.internal.wizard.ImportSymptomDBWizard">
         <description>
            %STR_IMPORT_SYMPTOMDB_DESC
         </description>
         <selection
               class="org.eclipse.core.resources.IResource">
         </selection>
      </wizard>
   </extension>
<!-- ==================================================================== -->
   <extension
         point="org.eclipse.ui.exportWizards">
      <wizard
            name="%STR_EXPORT_SYMPTOM_DB_TITLE"
            icon="./icons/full/ctool16/export_symptomdb_wiz.gif"
            class="org.eclipse.hyades.sdb.internal.wizard.ExportSymptomDBWizard"
            id="org.eclipse.hyades.sdb.internal.wizard.ExportSymptomDBWizard">
         <description>
            %STR_EXPORT_SYMPTOM_DB_DESC
         </description>
         <selection
               class="org.eclipse.core.resources.IResource">
         </selection>
      </wizard>
   </extension>
<!-- ==================================================================== -->
   <extension
         point="org.eclipse.ui.editors">
      <editor
            name="%STR_SYMPTOM_EDITOR"
            icon="icons/full/obj16/symptomdb_obj.gif"
            extensions="trcdbxmi"
            contributorClass="org.eclipse.ui.part.EditorActionBarContributor"
            class="org.eclipse.hyades.sdb.internal.editors.SymptomDBEditor"
            id="org.eclipse.hyades.sdb.internal.editors.SymptomDBEditor">
      </editor>
   </extension>
<!-- ==================================================================== -->
<!-- Preferences pages.                                                   -->
<!-- ==================================================================== -->
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%LOG_ANALYZER_SYMPTOM_DB_PAGE"
            class="org.eclipse.hyades.sdb.internal.preferences.SymptomDBPreferencePage"
            id="org.eclipse.hyades.sdb.internal.preferences.SymptomDBPreferencePage">
      </page>
   </extension>
<!--=============================================================-->
<!-- New Symptom Database Wizard -->
<!--=============================================================-->
   <extension
         point="org.eclipse.ui.newWizards">
      <category
            name="%TRACE_LOG_NEWWIZ"
            id="org.eclipse.hyades.trace_log.newWizard">
      </category>
      <wizard
            name="%STR_SYPMTOMDB_NEW_WIZARD"
            icon="icons/full/obj16/symptomdb_obj.gif"
            category="org.eclipse.hyades.trace_log.newWizard"
            class="org.eclipse.hyades.sdb.internal.wizard.NewSymptomDBWizard"
            id="org.eclipse.hyades.sdb.wizard.new.symptomdb">
         <description>
            %STR_SYPMTOMDB_NEW_WIZARD_DESCRIPTION
         </description>
      </wizard>
   </extension>

   <extension
         point="org.eclipse.help.contexts">
      <contexts
            file="sdbui.xml"
            plugin="org.eclipse.hyades.sdb">
      </contexts>
   </extension>

</plugin>
